*
* INDEX 8/23/83 BY R. SHIPP (460-9353)
ERASE
? '============================================='
?
? 'SELECT ITEM TO INDEX ON FROM THE FOLLOWING:'
? '-------------------------------------------'
?
? '     1. FAMILY NAME CODE (CODEF)'
?
? '     2. ZIP (USE FOR MAILING LABELS)'
?
? '     3. AGE (YEAR YY)'
?
? '     4. MAP (MAP 34B3)'
?
? '     5. PHONE NUMBER (PHONE 460-9353)'
?
? '     6. DO NOT REINDEX FILE'
? '           USE OLD INDEX FILE (MASTER1)'
?
? '     /. EXIT BACK TO MAIN MENU'
?
? ' ENTER ONE OF THE ABOVE NUMBERS:'
?
? '============================================'
WAIT TO ASK
DO CASE
   CASE ASK = '1'
      STORE 'CODEF' TO IFIELD
   CASE ASK = '2'
      STORE 'ZIP' TO IFIELD
   CASE ASK = '3'
      STORE 'YEAR' TO IFIELD
   CASE ASK = '4'
      STORE 'MAP' TO IFIELD
   CASE ASK = "5"
      STORE 'PHONE' TO IFIELD
   CASE ASK = '6'
      STORE 'NO' TO IFIELD
   CASE ASK ='/'
      USE
      DO MENU
   OTHERWISE
      DO NOGOOD
      DO INDEX
ENDCASE
DO CASE
   CASE IFIELD ='NO'
OTHERWISE
ERASE
?
?
?
? '********************************************'
? '*                                          *'
? '*   PLEASE WAIT I AM INDEXING THE FILE     *'
? '*   ----------------------------------     *'
? '*                                          *'
? '*   I AM DOING MY THING !!!!               *'
? '*                                          *'
? '*                                          *'
? '*   I WILL LET YOU KNOW AFTER I INDEX      *'
? '*                                          *'
? '*   EACH ONE HUNDREY RECORDS.              *'
? '*                                          *'
? '********************************************'
   USE B:&FILE
   INDEX ON &IFIELD TO A:&IFILE
ENDCASE
ENDCASE
RETURN
* THE END -- INDEX
*















